Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.syncpeer
Class KeyStrokeListenerPeer

    java.lang.Object
      echopointng.ui.syncpeer.AbstractEchoPointPeer
          echopointng.ui.syncpeer.KeyStrokeListenerPeer

All Implemented Interfaces:
  ActionProcessor, ComponentSynchronizePeer, DomUpdateSupport

    public class KeyStrokeListenerPeer

extends AbstractEchoPointPeer
implements ActionProcessor

`KeyStrokeListenerPeer` is a peer for `KeyStrokeListener`

Field Summary
`static Service` | `KEYSTROKE_SERVICE` Service to provide supporting JavaScript library.

Fields inherited from class echopointng.ui.syncpeer.AbstractEchoPointPeer
`DEFAULT_CONTAINER_TAG, partialUpdateManager`

Fields inherited from interface nextapp.echo2.webcontainer.ActionProcessor
`ACTION_NAME, ACTION_VALUE`

Constructor Summary
`KeyStrokeListenerPeer()`

Method Summary
`protected void` | `createDisposeDirective(ServerMessage serverMessage, Component component)`
`protected void` | `createInitDirective(RenderingContext rc, KeyStrokeListener keyStrokeListener)` Renders a directive to the outgoing `ServerMessage`
`java.lang.String` | `getContainerId(Component child)` Returns an identifier in the form "parentId_contains_childId".
`void` | `processAction(ContainerInstance ci, Component component, org.w3c.dom.Element actionElement)` Notifies the `ComponentSynchronizePeer` that a client action has occurred.
`void` | `renderDispose(RenderContext rc, ServerComponentUpdate update, Component component)` Removes any render state that is associated with the component.
`void` | `renderHtml(RenderingContext rc, org.w3c.dom.Node parentNode, Component component)` This is the rendering method you must implement if you are to use `AbstractEchoPointPeer`.

Methods inherited from class echopointng.ui.syncpeer.AbstractEchoPointPeer
`disposeRenderState, renderAdd, renderHtml, renderReplaceableChild, renderUpdate, renderUpdateAddChildren, renderUpdateBaseImpl, renderUpdateRemoveChildren, retreiveRenderState, storeRenderState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEYSTROKE_SERVICE

    public static final Service KEYSTROKE_SERVICE

  Service to provide supporting JavaScript library.

Constructor Detail

### KeyStrokeListenerPeer

    public KeyStrokeListenerPeer()

Method Detail

### getContainerId

    public java.lang.String getContainerId(Component child)

  Description copied from class: `AbstractEchoPointPeer`
  Returns an identifier in the form "parentId_contains_childId".

  Specified by:
    `getContainerId` in interface `ComponentSynchronizePeer`
  Overrides:
    `getContainerId` in class `AbstractEchoPointPeer`
  Parameters:
    `child` - a `Component` whose parent is of the type synchronized by this peer object.
  Returns:
    the id of the element which should contain the child component's rendered HTML.
  See Also:
    `nextapp.echo2.webcontainer.SynchronizePeer#getContainerId(nextapp.echo2.app.Component)`

### processAction

    public void processAction(ContainerInstance ci,
                              Component component,
                              org.w3c.dom.Element actionElement)

  Description copied from interface: `ActionProcessor`
  Notifies the `ComponentSynchronizePeer` that a client action has occurred.

  Specified by:
    `processAction` in interface `ActionProcessor`
  Parameters:
    `ci` - the relevant `ContainerInstance`
    `component` - the target `Component`
    `actionElement` - the XML element describing the action (the name and value of the action may be obtained by querying the `ACTION_NAME` and `ACTION_VALUE` attribute values.
  See Also:
    `ActionProcessor.processAction(nextapp.echo2.webcontainer.ContainerInstance, nextapp.echo2.app.Component, org.w3c.dom.Element)`

### renderHtml

    public void renderHtml(RenderingContext rc,
                           org.w3c.dom.Node parentNode,
                           Component component)

  Description copied from class: `AbstractEchoPointPeer`
  This is the rendering method you must implement if you are to use `AbstractEchoPointPeer`.

  Its a simpler wrapper for the standard one but provides some neato setup services that would otherwise be repeated over and over again.

  Note the use of RenderingContext object instead of the standard Echo RenderContext as this provides more rich code facilities.

  Specified by:
    `renderHtml` in class `AbstractEchoPointPeer`
  Parameters:
    `rc` - - the RenderingContext to use
    `parentNode` - - the parent Node to put content into
    `component` - - the component in question
  See Also:
    `AbstractEchoPointPeer.renderHtml(echopointng.ui.util.RenderingContext, org.w3c.dom.Node, nextapp.echo2.app.Component)`

### renderDispose

    public void renderDispose(RenderContext rc,
                              ServerComponentUpdate update,
                              Component component)

  Description copied from class: `AbstractEchoPointPeer`
  Removes any render state that is associated with the component.

  Remember to call `super.renderDispose()` if you overrride this method.

  Specified by:
    `renderDispose` in interface `ComponentSynchronizePeer`
  Overrides:
    `renderDispose` in class `AbstractEchoPointPeer`
  Parameters:
    `rc` - the relevant `RenderContext`
    `update` - the `ServerComponentUpdate` for which this operation is being performed
  See Also:
    `AbstractEchoPointPeer.renderDispose(nextapp.echo2.webcontainer.RenderContext, nextapp.echo2.app.update.ServerComponentUpdate, nextapp.echo2.app.Component)`

### createDisposeDirective

    protected void createDisposeDirective(ServerMessage serverMessage,
                                          Component component)

### createInitDirective

    protected void createInitDirective(RenderingContext rc,
                                       KeyStrokeListener keyStrokeListener)

  Renders a directive to the outgoing `ServerMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD